flex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Douglas McCarroll" <list.apache-flex....@brightworks.com>
Subject Re: Flash Builder 4.7 Beta with Apache Flex 4.8 support
Date Fri, 21 Sep 2012 02:06:09 GMT
> How do you configure FB 4.7 64 bit to use 5GB of memory?

I edit the FlashBuilder.ini file. This file lives in the same directory as

I edit these two line like this:


If you set these too high, FB won't start. It depends on how much memory
you have. For example, I couldn't set it to 10 GB on my machine, which has
12 GB of memory. So you may need to experiment a bit.

I also set this line to 256m:


... so that it equals the MaxPermSize setting.

If you're curious about the details of what these lines do, I suggest that
you google "eclipse.ini memory xms xmx". (FlashBuilder.ini is simply the
eclipse.ini file, renamed to match the Flashbuilder.exe executable.)

Douglas McCarroll
Adobe Flex Developer/Consultant
Adobe Certified Expert: Flex 2 - 4.5 & AIR

View raw message